Package com.mockobjects.servlet

# Class MockHttpSession

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.servlet.MockHttpSession

All Implemented Interfaces:
  `Verifiable`

public class MockHttpSession extends MockObject implements Verifiable

## Constructor Summary

Constructors
Constructor
Description
`MockHttpSession()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAttribute(String anAttributeName)`
`Enumeration`
`getAttributeNames()`
`long`
`getCreationTime()`
`String`
`getId()`
`long`
`getLastAccessedTime()`
`int`
`getMaxInactiveInterval()`
`ServletContext`
`getServletContext()`
`HttpSessionContext`
`getSessionContext()`
`Object`
`getValue(String arg1)`
`String[]`
`getValueNames()`
`void`
`invalidate()`
`boolean`
`isNew()`
`void`
`putValue(String arg1, Object arg2)`
`void`
`removeAttribute(String anAttributeName)`
`void`
`removeValue(String arg1)`
`void`
`setAttribute(String aKey, Object aValue)`
`void`
`setExpectedAttribute(String aKey, Object aValue)`
`void`
`setExpectedRemoveAttribute(String anAttributeName)`
`void`
`setMaxInactiveInterval(int arg1)`
`void`
`setupGetAttribute(String key, Object value)`
`void`
`setupGetAttributeNames(Enumeration attributeNames)`
`void`
`setupServletContext(ServletContext servletContext)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mockobjects.Verifiable

`verify`

## Constructor Details

### MockHttpSession

public MockHttpSession()

## Method Details

### getAttribute

public Object getAttribute(String anAttributeName)

### setupGetAttributeNames

public void setupGetAttributeNames(Enumeration attributeNames)

### getAttributeNames

public Enumeration getAttributeNames()

### getCreationTime

public long getCreationTime()

### getId

public String getId()

### getLastAccessedTime

public long getLastAccessedTime()

### getMaxInactiveInterval

public int getMaxInactiveInterval()

### getSessionContext

public HttpSessionContext getSessionContext()

### setupServletContext

public void setupServletContext(ServletContext servletContext)

### getServletContext

public ServletContext getServletContext()

### getValue

public Object getValue(String arg1)

### getValueNames

public String[] getValueNames()

### invalidate

public void invalidate()

### isNew

public boolean isNew()

### putValue

public void putValue(String arg1, Object arg2)

### setExpectedRemoveAttribute

public void setExpectedRemoveAttribute(String anAttributeName)

### removeAttribute

public void removeAttribute(String anAttributeName)

### removeValue

public void removeValue(String arg1)

### setupGetAttribute

public void setupGetAttribute(String key, Object value)

### setAttribute

public void setAttribute(String aKey, Object aValue)

### setExpectedAttribute

public void setExpectedAttribute(String aKey, Object aValue)

### setMaxInactiveInterval

public void setMaxInactiveInterval(int arg1)